<?php
use Setka\Workflow\Plugin;
use Symfony\Component\DependencyInjection\ContainerBuilder;

/*
    Plugin Name: Setka Workflow
    Plugin URI: https://workflow.setka.io/
    Description: Setka Workflow Integration Plugin is designed to integrate your WordPress site with Setka Workflow space.
    Author: Native Grid LLC
    Author URI: https://setka.io/
    Version: 1.0.8
    Text Domain: setka-workflow
    Domain Path: /languages/
    Requires at least: 4.0
    Tested up to: 4.9.6
    License: GPLv2 or later
*/

// Autoloader for all classes.
if (!class_exists('Setka\Workflow\Plugin')) {
    // If class not exists this means what a wordpress.org version running
    // and we need require our own autoloader.
    // If you using WordPress installation with composer just require
    // your own autoload.php as usual. In this case plugin don't require any
    // additional autoloaders.
    require_once 'vendor/autoload.php';
}
$GLOBALS['WPSetkaWorkflowPlugin'] = new Plugin(__FILE__);
if (isset($container) && is_a($container, ContainerBuilder::class)) {
    $GLOBALS['WPSetkaWorkflowPlugin']->setContainer($container);
} else {
    $GLOBALS['WPSetkaWorkflowPlugin']->setContainer(new ContainerBuilder());
}
$GLOBALS['WPSetkaWorkflowPlugin']->run();
